Get offline transactions
curl --request GET \
--url https://api.crowdchange.dev/v2/private/fundraiser/{id}/offline-donations/list \
--header 'Authorization: <api-key>'import requests
url = "https://api.crowdchange.dev/v2/private/fundraiser/{id}/offline-donations/list"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crowdchange.dev/v2/private/fundraiser/{id}/offline-donations/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"amount": 100,
"amount_total": 100,
"currency": "USD",
"is_pending": false,
"pledge_code": "PLEDGE_CODE",
"tax_eligible_amount": 100,
"has_tax_receipt": false,
"created_at": "2024-01-01 16:00:03",
"billing": {
"business_name": "Company Inc",
"is_foundation": false,
"title": "Mr.",
"name": "Mr. John Snow",
"first_name": "John",
"last_name": "Snow",
"street_address": "100 Main Street",
"city": "Toronto",
"country": "CA",
"state": "ON",
"postal": "A1A 1A1",
"email": "john@example.com"
},
"fundraiser_page": {
"id": 1001,
"name": "Personal Page name"
},
"fundraiser_team": {
"id": 1001,
"name": "Team name"
},
"tax_receipt": {
"id": 1001,
"amount_donation": 100.99,
"amount_benefit": 10.49,
"amount_eligible": 90.5,
"name_on_receipt": "John Smith",
"issued_on": "2021-01-01 19:00:00",
"receipt_number": "TAX-0012345",
"title": "Mr.",
"first_name": "John",
"last_name": "Snow",
"street_address": "100 Main Street",
"city": "Toronto",
"country": "CA",
"state": "ON",
"postal": "A1A 1A1",
"email": "john@example.com"
},
"transaction_meta": {
"is_lump_sum": false,
"is_foundation": false
}
}
]
Campaign-Specific APIs
Get offline transactions
Retrieve a paginated list of offline donation transactions recorded against a CrowdChange campaign, including amount, donor, and entry metadata.
GET
/
v2
/
private
/
fundraiser
/
{id}
/
offline-donations
/
list
Get offline transactions
Path parameters
integer
required
Campaign ID.
Query parameters
string
Transaction status. Allowed values:
received, pendinginteger
Campaign’s Team.
integer
Campaign’s Personal Page.
integer
Page number. Default:
1integer
Number of results to return. Default:
10string
Search term.
Response
Returns an array of objects with the following fields.integer
Transaction ID.
number
Amount.
number
Amount Total.
string
Currency code. Allowed values:
CAD, USD, AUD, EURboolean
True if transaction is pending.
string
Pledge code.
number
Tax Eligible Amount.
boolean
True if transaction has tax receipt.
string
Transaction creation date.
object
User’s billing information.
Show properties
Show properties
string
Business name.
boolean
Is this transaction made by foundation?
string
Honorific (i.e. Mr / Miss / etc).
string
Full user name including honorific.
string
User’s first name.
string
User’s last name.
string
Street name and number.
string
City name.
string
Country code.
string
State or province..
string
ZIP or Postal Code.
string
User’s email address.
object
Tax receipt information.
Show properties
Show properties
integer
Unique id.
number
Total donation amount.
number
Benefit amount.
number
Eligible amount.
string
Name on receipt.
string
Date when the tax receipt was issued.
string
Tax receipt number
string
Honorific (i.e. Mr / Miss / etc).
string
First name.
string
Last name.
string
Street name and number.
string
City name.
string
Country code.
string
State or province..
string
ZIP or Postal Code.
string
Email address.
object
| Status | Description |
|---|---|
400 | Bad Request |
403 | Forbidden |
[
{
"id": 1,
"amount": 100,
"amount_total": 100,
"currency": "USD",
"is_pending": false,
"pledge_code": "PLEDGE_CODE",
"tax_eligible_amount": 100,
"has_tax_receipt": false,
"created_at": "2024-01-01 16:00:03",
"billing": {
"business_name": "Company Inc",
"is_foundation": false,
"title": "Mr.",
"name": "Mr. John Snow",
"first_name": "John",
"last_name": "Snow",
"street_address": "100 Main Street",
"city": "Toronto",
"country": "CA",
"state": "ON",
"postal": "A1A 1A1",
"email": "john@example.com"
},
"fundraiser_page": {
"id": 1001,
"name": "Personal Page name"
},
"fundraiser_team": {
"id": 1001,
"name": "Team name"
},
"tax_receipt": {
"id": 1001,
"amount_donation": 100.99,
"amount_benefit": 10.49,
"amount_eligible": 90.5,
"name_on_receipt": "John Smith",
"issued_on": "2021-01-01 19:00:00",
"receipt_number": "TAX-0012345",
"title": "Mr.",
"first_name": "John",
"last_name": "Snow",
"street_address": "100 Main Street",
"city": "Toronto",
"country": "CA",
"state": "ON",
"postal": "A1A 1A1",
"email": "john@example.com"
},
"transaction_meta": {
"is_lump_sum": false,
"is_foundation": false
}
}
]
Was this page helpful?
⌘I